/*
*      $Id: linux.h,v 1.6 2000/04/20 12:31:41 moritz Exp $
*
*      $Log: linux.h,v $
*      Revision 1.6  2000/04/20 12:31:41  moritz
*      *** empty log message ***
*
*      Revision 1.5  1998/02/02 16:30:40  moritz
*      - Aenderungen der offiziellen Version bis 0.75b2 eingearbeitet
*
*      Revision 1.4  1996/09/19 15:36:38  moritz
*      *** empty log message ***
*
*      Revision 1.4  1996/09/06 13:18:31  matthias
*      Variable ISLINUXMW zum Ausschalten der 'trap'-Funktion unter Linux;
*
*/
/*
 *  UNIX-Connect, a ZCONNECT(r) Transport and Gateway/Relay.
 *  Copyright (C) 1993-94  Martin Husemann
 *  Copyright (C) 1995     Christopher Creutzig
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * ------------------------------------------------------------------------
 * Eine deutsche Zusammenfassung zum Copyright dieser Programme sowie der
 * GNU General Public License finden Sie in der Datei README.1st.
 * ------------------------------------------------------------------------
 *
 *  Bugreports, suggestions for improvement, patches, ports to other systems
 *  etc. are welcome. Contact the maintainer by e-mail:
 *  christopher@nescio.foebud.org or snail-mail:
 *  Christopher Creutzig, Im Samtfelde 19, 33098 Paderborn
 *
 *  There is a mailing-list for user-support:
 *   unix-connect@mailinglisten.im-netz.de,
 *  write a mail with subject "Help" to
 *   unix-connect-request@mailinglisten.im-netz.de
 *  for instructions on how to join this list.
 */


/*
 *  UNIX-Connect: sysdep.h
 *
 *  Systemabhaengige C Anweisungen.
 *
 *  Alle fuer dieses System gueltigen #define's sollten hier gesetzt
 *  werden, alle nicht von System-Headern bereitgestellten Prototypen
 *  gehoeren hier hin.
 *
 */

#ifndef SYSDEP_H
#define SYSDEP_H

#define	OS	"UNIX"
#define	BRAND	"Linux"

#define SYSV	/* beliebiges System V */

#define HAS_STRING_H		/* Die str... Funktionen sind in <string.h> */
#define HAS_UNISTD_H		/* Fr close() etc. */
#define HAS_POSIX_TERMIOS	/* benutze <termios.h> IOCTL's */
#define MAJOR_IN_SYSMACROS	/* major()/minor() in sys/sysmacros.h */

#define LEAVE_CTRL_TTY		/* Entlasse das Controlling TTY... */
#define USE_SETPGRP		/* ... durch einen Aufruf von setpgrp(2) */
#define HAS_FCNTL_H

#define NEED_VALUES_H		/* brauche #include <values.h> */

/*
 *  Die Online-Empfangsprogramme koennen ohne Passwortabfrage des
 *  Systems eingebunden werden, sie fragen daher selbst nach einem
 *  Passwort:
 */

#define	ASK_PASSWD
#define TRAPSIGNAL


#endif
